Skip to content

PrintAWB

Returns, in PDF, one or more consecutive AWBs of your account, as a letter-size sheet or a 6" × 4" label.

URL

POST https://ocelot.servientrega.us/api/KiwiService20/kwapi/PrintAWB
POST https://ocelotkiwi.azurewebsites.net/api/KiwiService20/kwapi/PrintAWB

Parameters

Name Type Required Rules
idUser text Yes Your Kiwi username (the same one used to request the token). Note the name: idUser
password text Yes Your Kiwi password. Case sensitive
startAwb number Yes First AWB number of the range
endAwb number Yes Last AWB number of the range. For a single AWB, the same as startAwb
reportId number Yes 3 letter size · 7 label 6" × 4"
printInvoice boolean Yes true to include the proforma invoice
copies number No 2 for letter size (reportId 3); 1 for the label

Request example

curl -X POST "https://ocelot.servientrega.us/api/KiwiService20/kwapi/PrintAWB" \
  -H "Authorization: Bearer <ACCESS_TOKEN>" \
  -H "Content-Type: application/json" \
  -d '{
    "idUser": "<YOUR_USERNAME>",
    "password": "<YOUR_PASSWORD>",
    "startAwb": 8800046,
    "endAwb": 8800046,
    "reportId": 7,
    "printInvoice": true,
    "copies": 1
  }'
curl -X POST "https://ocelotkiwi.azurewebsites.net/api/KiwiService20/kwapi/PrintAWB" \
  -H "Authorization: Bearer <ACCESS_TOKEN>" \
  -H "Content-Type: application/json" \
  -d '{
    "idUser": "<YOUR_USERNAME>",
    "password": "<YOUR_PASSWORD>",
    "startAwb": 8800046,
    "endAwb": 8800046,
    "reportId": 7,
    "printInvoice": true,
    "copies": 1
  }'

Response example

{
  "result": true,
  "entities": [
    {
      "nameReport": "rptAWBInvoice",
      "data": "JVBERi0xLjYKJdP0zOEKNSAwIG9iago8PAovVHlwZS9QYWdlCi9..."
    }
  ],
  "messages": [
    "PDF File generated."
  ],
  "notificationType": 3
}
Field Meaning
nameReport Name of the report used
data The PDF, encoded in base64

Notes

  • Only AWBs that belong to your account are returned.
  • Decode data from base64 and save it as a .pdf file to print it.